import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class VacuumEnvironment extends Environment
{
    private int width = 0;
    private int height = 0;
    public boolean rooms [][];
    
    public VacuumEnvironment()
    {
        this.Environment();
    }

    public void Environment()
    {
        
        try{
            // read in a text file of vacuum world setup
            Scanner keyboard = new Scanner(System.in);
            System.out.print("Please enter the name of the environment file: ");
            String fileName = keyboard.next();
            keyboard.close();
            System.out.println();
            Scanner scanner = new Scanner(new File(fileName));
            width = scanner.nextInt();
            height = scanner.nextInt();
            rooms = new boolean[width][height];
            for (int i = 0; i < width; i++)
                for (int j = 0; j < height; j++)
                    rooms[i][j] = scanner.nextBoolean();
            scanner.close();
        }
        catch(FileNotFoundException e)
        {
            System.out.println("File does not exist!");
        }
        
    }
    
    public int getWidth()
    {
        return width;
    }
    
    public int getHeight()
    {
        return height;
    }

}
